import type { GraphQLSchema } from 'graphql';
/**
 * Result of directive creation function
 */
interface DirectiveCreateResult {
    /**
     * Generated types definitions
     */
    typeDefs: string;
    /**
     * Schema transformer function to apply directive on it
     *
     * @param schema - original schema
     */
    schemaTransformer: (schema: GraphQLSchema) => GraphQLSchema;
}
/**
 * Creates type definitions and schema transformer for applying @default directive
 *
 * @param directiveName - custom directive name
 */
export default function createDirectiveDefault(directiveName?: string): DirectiveCreateResult;
export {};
